## cachedir 9.1.0.ci20260125T063320

=== Makefile ===
QUIET =
TESTS =

all: check build test doc

check:
	cargo clippy $(QUIET)
	cargo fmt --check

build: check
	cargo build --workspace --all-targets $(QUIET)

test: build
	cargo test $(QUIET) --workspace -- $(TESTS)

doc: build
	subplot docgen cachedir.subplot -o cachedir.html

semver:
	cargo semver-checks --workspace

## cachedir 9.1.0.ci20240201T090627

=== debian/changelog ===
cachedir (9.1.0.ci20240201T090627-1) unstable; urgency=medium

  * CI build under Ambient.

 -- root <liw@liw.fi>  Thu, 01 Feb 2024 09:06:27 +0000

cachedir (9.1.0-1) unstable; urgency=medium

  * New release
  * Bump version in Cargo.toml to match debian/changelog.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 30 Dec 2023 07:48:36 +0200

cachedir (9.0-1) unstable; urgency=medium

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.
  * Version number chosen so it's greater than the old Python
    implementation.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 01 Apr 2022 19:11:46 +0300

=== debian/control ===
Source: cachedir
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: admin
Priority: optional
Standards-Version: 4.2.0
Build-Depends:
 debhelper (>= 10~),
 build-essential,
 dh-cargo,
 git,
 subplot
Homepage: https://gitlab.com/obnam/cachedir

Package: cachedir
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Description: manage cache directory tags
 A cache directory tag is a file called CACHEDIR.TAG files, with
 specific contents. The cachedir utility can create, remove, and find
 them. It's meant for making it easier to manage the tags.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=. --root=debian/cachedir --offline
	find debian/cachedir -name '.crates*' -delete

override_dh_auto_test:
	echo "disabled: cargo test"

## cachedir 9.1.0.ci20240224T112437

=== debian/changelog ===
cachedir (9.1.0.ci20240224T112437-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 24 Feb 2024 11:24:37 +0000

## cachedir 9.1.0.ci20240624T125256

=== debian/changelog ===
cachedir (9.1.0.ci20240624T125256-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 24 Jun 2024 12:52:57 +0000

## cachedir 9.1.0.ci20240928T151030

=== debian/changelog ===
cachedir (9.1.0.ci20240928T151030-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 28 Sep 2024 15:10:30 +0000

## cachedir 9.1.0.ci20241005T102444

=== debian/changelog ===
cachedir (9.1.0.ci20241005T102444-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 05 Oct 2024 10:24:44 +0000

## cachedir 9.1.0.ci20241026T161624

=== debian/changelog ===
cachedir (9.1.0.ci20241026T161624-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 26 Oct 2024 16:16:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem cargo
+	dh $@
 
 override_dh_auto_build:
 	true

## cachedir 9.1.0.ci20250215T052026

=== debian/changelog ===
cachedir (9.1.0.ci20250215T052026-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 15 Feb 2025 05:20:26 +0000

## cachedir 9.1.0.ci20250906T051600

=== debian/changelog ===
cachedir (9.1.0.ci20250906T051600-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:16:00 +0000

## cachedir 9.1.0.ci20250908T082900

=== debian/changelog ===
cachedir (9.1.0.ci20250908T082900-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Sep 2025 08:29:00 +0000

## cachedir 9.1.0.ci20250913T053611

=== debian/changelog ===
cachedir (9.1.0.ci20250913T053611-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 13 Sep 2025 05:36:11 +0000

## cachedir 9.1.0.ci20250920T115517

=== debian/changelog ===
cachedir (9.1.0.ci20250920T115517-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 11:55:17 +0000

## cachedir 9.1.0.ci20250922T054354

=== debian/changelog ===
cachedir (9.1.0.ci20250922T054354-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:43:54 +0000

## cachedir 9.1.0.ci20250922T071351

=== debian/changelog ===
cachedir (9.1.0.ci20250922T071351-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 07:13:51 +0000

## cachedir 9.1.0.ci20250927T074831

=== debian/changelog ===
cachedir (9.1.0.ci20250927T074831-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:48:31 +0000

## cachedir 9.1.0.ci20251004T034500

=== debian/changelog ===
cachedir (9.1.0.ci20251004T034500-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:45:00 +0000

## cachedir 9.1.0.ci20251010T065313

=== debian/changelog ===
cachedir (9.1.0.ci20251010T065313-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 06:53:13 +0000

## cachedir 9.1.0.ci20251012T062342

=== debian/changelog ===
cachedir (9.1.0.ci20251012T062342-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 12 Oct 2025 06:23:43 +0000

## cachedir 9.1.0.ci20251013T075851

=== debian/changelog ===
cachedir (9.1.0.ci20251013T075851-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 07:58:52 +0000

## cachedir 9.1.0.ci20251013T101457

=== debian/changelog ===
cachedir (9.1.0.ci20251013T101457-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:14:57 +0000

## cachedir 9.1.0.ci20251014T111250

=== debian/changelog ===
cachedir (9.1.0.ci20251014T111250-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:12:50 +0000

## cachedir 9.1.0.ci20251014T114824

=== debian/changelog ===
cachedir (9.1.0.ci20251014T114824-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:48:24 +0000

## cachedir 9.1.0.ci20251014T150535

=== debian/changelog ===
cachedir (9.1.0.ci20251014T150535-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:05:36 +0000

## cachedir 9.1.0.ci20251014T153920

=== debian/changelog ===
cachedir (9.1.0.ci20251014T153920-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:39:21 +0000

## cachedir 9.1.0.ci20251102T152308

=== debian/changelog ===
cachedir (9.1.0.ci20251102T152308-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:23:08 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=. --root=debian/cachedir --offline --locked
	find debian/cachedir -name '.crates*' -delete

override_dh_auto_test:
	echo "disabled: cargo test"

## cachedir 9.1.0.ci20251107T151344

=== debian/changelog ===
cachedir (9.1.0.ci20251107T151344-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:13:44 +0000

## cachedir 9.1.0.ci20251111T065549

=== debian/changelog ===
cachedir (9.1.0.ci20251111T065549-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 06:55:50 +0000

## cachedir 9.1.0.ci20251112T150603

=== debian/changelog ===
cachedir (9.1.0.ci20251112T150603-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 15:06:03 +0000

## cachedir 9.1.0.ci20251114T142028

=== debian/changelog ===
cachedir (9.1.0.ci20251114T142028-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:20:28 +0000

## cachedir 9.1.0.ci20251115T052218

=== debian/changelog ===
cachedir (9.1.0.ci20251115T052218-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:22:18 +0000

## cachedir 9.1.0.ci20251116T061316

=== debian/changelog ===
cachedir (9.1.0.ci20251116T061316-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:13:16 +0000

## cachedir 9.1.0.ci20251122T114427

=== debian/changelog ===
cachedir (9.1.0.ci20251122T114427-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 22 Nov 2025 11:44:27 +0000

## cachedir 9.1.0.ci20251123T184838

=== debian/changelog ===
cachedir (9.1.0.ci20251123T184838-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 18:48:39 +0000

## cachedir 9.1.0.ci20251125T150400

=== debian/changelog ===
cachedir (9.1.0.ci20251125T150400-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 15:04:00 +0000

## cachedir 9.1.0.ci20251130T071144

=== debian/changelog ===
cachedir (9.1.0.ci20251130T071144-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:11:44 +0000

## cachedir 9.1.0.ci20251203T072255

=== debian/changelog ===
cachedir (9.1.0.ci20251203T072255-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 03 Dec 2025 07:22:55 +0000

## cachedir 9.1.0.ci20251204T081545

=== debian/changelog ===
cachedir (9.1.0.ci20251204T081545-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:15:45 +0000

## cachedir 9.1.0.ci20251208T120453

=== debian/changelog ===
cachedir (9.1.0.ci20251208T120453-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 12:04:54 +0000

## cachedir 9.1.0.ci20251209T151603

=== debian/changelog ===
cachedir (9.1.0.ci20251209T151603-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 15:16:03 +0000

## cachedir 9.1.0.ci20251215T060058

=== debian/changelog ===
cachedir (9.1.0.ci20251215T060058-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 06:00:58 +0000

## cachedir 9.1.0.ci20251215T092958

=== debian/changelog ===
cachedir (9.1.0.ci20251215T092958-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 09:29:58 +0000

## cachedir 9.1.0.ci20251220T082313

=== debian/changelog ===
cachedir (9.1.0.ci20251220T082313-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 08:23:13 +0000

## cachedir 9.1.0.ci20251220T143534

=== debian/changelog ===
cachedir (9.1.0.ci20251220T143534-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 14:35:34 +0000

## cachedir 9.1.0.ci20260121T104523

=== debian/changelog ===
cachedir (9.1.0.ci20260121T104523-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 10:45:23 +0000

## cachedir 9.1.0.ci20260121T111733

=== debian/changelog ===
cachedir (9.1.0.ci20260121T111733-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 11:17:33 +0000

## cachedir 9.1.0.ci20260121T114325

=== debian/changelog ===
cachedir (9.1.0.ci20260121T114325-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 11:43:25 +0000

## cachedir 9.1.0.ci20260121T114735

=== debian/changelog ===
cachedir (9.1.0.ci20260121T114735-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 21 Jan 2026 11:47:35 +0000

## cachedir 9.1.0.ci20260125T063320

=== debian/changelog ===
cachedir (9.1.0.ci20260125T063320-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 06:33:20 +0000

## cachedir 9.1.0.ci20260204T092238

=== debian/changelog ===
cachedir (9.1.0.ci20260204T092238-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:22:39 +0000
